#include <stdio.h>

void main() {
	long n, x, min, max, ulaz, levo, desno;
	scanf("%ld%ld", &n, &x);
	min = max = x;
	for (int i = 0; i < n; i++) {
		scanf("%ld", &ulaz);
		if (ulaz > max) max = ulaz;
		if (ulaz < min) min = ulaz;
	}
	levo = x - min;
	desno = max - x;
	if (levo <= desno) printf("%d", max - min + levo);
	else printf("%d", max - min + desno);
}